Page MenuHomePhabricator

Create Map landing page
Closed, ResolvedPublic

Description

Implement a special page which shows all the licensing information and links to OSM pages, help, etc

The page should probably be hosted at Special:Map

Event Timeline

Yurik created this task.Sep 14 2016, 8:25 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 14 2016, 8:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.Sep 14 2016, 8:25 PM
MaxSem claimed this task.Sep 23 2016, 9:44 PM
MaxSem moved this task from To-do to In progress on the Maps-Sprint board.
MaxSem moved this task from In progress to Needs review on the Maps-Sprint board.Sep 28 2016, 10:21 PM
MaxSem reassigned this task from MaxSem to debt.Oct 7 2016, 5:36 PM
Yurik moved this task from Needs review to To-do on the Maps-Sprint board.Oct 12 2016, 6:11 PM

We'll need to clear up the legal issues before being able to get this page built properly. Also - we need to point to this page for users that want to help fix the map: http://www.openstreetmap.org/fixthemap, the users will need to log in using their OSM id.

debt moved this task from To-do to In progress on the Maps-Sprint board.Nov 4 2016, 6:50 PM
debt moved this task from In progress to Stalled/Waiting on the Maps-Sprint board.Nov 17 2016, 6:16 PM

Moving to 'stalled' as we don't have wording from Legal.

debt added a comment.Nov 28 2016, 8:10 PM

I've updated the landing page and am still waiting on Legal (@Slaporte)'s wording to be completely done: https://www.mediawiki.org/wiki/User:MaxSem/landing

One well-done landing page is http://cycle.travel/about/maps, in case anyone still needs ideas.

If possible when linking to the fixthemap page we should pass lat and lon to it, e.g. www.openstreetmap.org/fixthemap?lat=53.70830&lon=-77.42203

debt added a comment.Nov 29 2016, 5:55 PM

I've moved the landing page to here: https://www.mediawiki.org/wiki/Maps/terms_of_use, still waiting on Legal approval.

Thanks @Pnorman for the well done cycle travel landing page - they did a really nice job! For the fixthemap info - I've added a ticket here: T151909.

debt added a subscriber: EBjune.Dec 12 2016, 5:18 PM

We had a discussion this morning to talk about the terms of use and legal language that we'll need to have for Wikimedia maps. The new landing page will reside here: https://wikimediafoundation.org/wiki/Maps_Terms_of_Use and the full terms of use will be in place on or before December 16, 2016.

Thanks, @Slaporte, @Yurik, @EBjune and @CKoerner_WMF !

Yurik removed a project: Maps.Dec 15 2016, 4:39 AM
debt moved this task from Stalled/Waiting to Done on the Maps-Sprint board.Dec 16 2016, 6:34 PM

this is now complete...! Yay!

debt closed this task as Resolved.Jan 6 2017, 12:45 AM
debt closed subtask T111224: Define maps attribution text as Resolved.